package com.jforeach.mazegame;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.view.View;

public class Item {
	
	private int x, y;
	private Bitmap bitmap;
	
	public Item (Bitmap bitmap, int x, int y) {
		this.bitmap = bitmap;
		this.x = x;
		this.y = y;
		
	}
	
	public void Draw(Canvas canvas, GameView view) {
		canvas.drawBitmap(bitmap, x* view.getTotalCellWidth(), y* view.getTotalCellHeight(), null);
	}
	
	public void Consume() {
		
	}
	
	public void setXY(int x, int y){
		this.x=x;
		this.y = y;
	}
	
	public int getX() {
		return x;
	}
	public int getY() {
		return y;
	}
}
